Bug 1307130 - Review Request: mkdocs-basic-theme - MkDocs Basic Theme
Review Request: mkdocs-basic-theme - MkDocs Basic Theme
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eduardo Mayorga
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1300674 1307129
  Show dependency treegraph
 
Reported: 2016-02-12 13:57 EST by William Moreno
Modified: 2016-03-12 06:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-12 06:51:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
e: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description William Moreno 2016-02-12 13:57:39 EST
Spec URL: https://williamjmorenor.fedorapeople.org/rpmdev/mkdocs-basic-theme.spec
SRPM URL: https://williamjmorenor.fedorapeople.org/rpmdev/mkdocs-basic-theme-1.0.1-1.fc24.src.rpm
Description: MkDocs Basic Theme
Fedora Account System Username: williamjmorenor
Comment 1 Eduardo Mayorga 2016-02-21 12:13:12 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- The package uses /usr/lib/python3.5 and /usr/lib/python3.5/site-packages but requires python instead of python3.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "Unknown or generated". 10 files have unknown
     license.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.5/site-packages,
     /usr/lib/python3.5
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages, /usr/lib/python3.5
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[!]: Package complies to the Packaging Guidelines
     -> See above for issues.
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mkdocs-basic-theme-1.0.1-1.fc24.noarch.rpm
          mkdocs-basic-theme-1.0.1-1.fc24.src.rpm
mkdocs-basic-theme.noarch: W: no-version-in-last-changelog
mkdocs-basic-theme.src: W: no-version-in-last-changelog
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No existe el fichero o el directorio
mkdocs-basic-theme.noarch: W: no-version-in-last-changelog
mkdocs-basic-theme.noarch: W: invalid-url URL: http://mkdocs.github.io/mkdocs-basic-theme/ <urlopen error [Errno -3] Temporary failure in name resolution>
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
mkdocs-basic-theme (rpmlib, GLIBC filtered):
    mkdocs
    python(abi)



Provides
--------
mkdocs-basic-theme:
    mkdocs-basic-theme



Source checksums
----------------
https://pypi.python.org/packages/source/m/mkdocs-basic-theme/mkdocs-basic-theme-1.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 1251182e0092a2325eee0caf6768119b97a23827318d3b65c95279e6a10a87ad
  CHECKSUM(SHA256) upstream package : 1251182e0092a2325eee0caf6768119b97a23827318d3b65c95279e6a10a87ad
Comment 2 Upstream Release Monitoring 2016-02-22 17:45:50 EST
williamjmorenor's scratch build of mkdocs-basic-theme-1.0.1-1.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13099388
Comment 3 William Moreno 2016-02-22 17:48:09 EST
Looking the build info requieres python(abi) == 3.5 if not a bloquer 

https://kojipkgs.fedoraproject.org//work/tasks/9389/13099389/build.log
Comment 4 Upstream Release Monitoring 2016-02-22 17:53:00 EST
williamjmorenor's scratch build of mkdocs-basic-theme-1.0.1-1.fc24.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13099491
Comment 6 Eduardo Mayorga 2016-02-23 22:32:01 EST
PACKAGE APPROVED
Comment 7 William Moreno 2016-02-24 09:11:35 EST
Thanks for the review.
Comment 8 Gwyn Ciesla 2016-02-24 10:01:36 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/mkdocs-basic-theme
Comment 9 Fedora Update System 2016-02-25 10:57:03 EST
mkdocs-basic-theme-1.0.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a123f19f11
Comment 10 Fedora Update System 2016-02-26 15:52:48 EST
mkdocs-basic-theme-1.0.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a123f19f11
Comment 11 Fedora Update System 2016-03-12 06:51:06 EST
mkdocs-basic-theme-1.0.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.